%define module_name	cdfs
%define module_release	alt2.6.1
%define module_version	2.6.3

%define kversion	2.4.26
%define krelease	alt6.1
%define flavour		vs-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/block/

Summary:	Linux CDFS module
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.elis.ugent.be/~ronsse/cdfs/
BuildPreReq:    kernel-build-tools
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
CDfs module for Linux kernel. CDfs is a file system that `exports' all
tracks and boot images on a CD as normal files.

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make TEMP_DIR=`pwd` -C %_usrsrc/linux-%kversion-%flavour/ V=1 modules SUBDIRS=`pwd`

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
    %__cp -a %module_name.o $RPM_BUILD_ROOT/%module_dir
%else
    %__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri May 21 2004 Albert R. Valiev <darkstar@altlinux.ru> 2.6.3-alt2.6.1
- Fixed buildrequires (kernel-source-cdfs = %version insted of kernel-source-cdfs-%version)

* Sat May 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 2.6.3-alt1.6.1
- initial build
